.typewriter {  
  font-family: "Courier New", Courier, monospace;  
  font-size: 24px;  
  white-space: nowrap;  
  overflow: hidden;  
  border-right: 4px solid;  
  animation: typing 4s steps(16, end), blink-caret .5s step-end infinite;  
}  
  
@keyframes typing {  
  from {  
    width: 0;  
  }  
  to {  
    width: 90%;  
  }  
}  
  
@keyframes blink-caret {  
  50% {  
    border-color: transparent;  
  }  
}